# OqlSelectPropertiesParser Class Reference

Inheritance diagram for OqlSelectPropertiesParser:
[legend]

List of all members.

## Static Public Member Functions

static | create ()

## Public Attributes

const | SUM_PROJECTION = 'sum'
const | AVG_PROJECTION = 'avg'
const | MIN_PROJECTION = 'min'
const | MAX_PROJECTION = 'max'
const | COUNT_PROJECTION = 'count'
const | DISTINCT_COUNT_PROJECTION = 1
const | PROPERTY_PROJECTION = 2

## Protected Member Functions

| makeOqlObject ()
| handleState ()
| getArgumentExpression ()

## Private Member Functions

| getAlias ()

## Static Private Attributes

static | $classMap

## Detailed Description

Definition at line 12 of file OqlSelectPropertiesParser.class.php.

## Member Function Documentation

static OqlSelectPropertiesParser::create | ( |  | ) | `[static]`

Returns:
  OqlSelectPropertiesParser

Definition at line 36 of file OqlSelectPropertiesParser.class.php.

Referenced by makeOqlObject(), and OQL::properties().

OqlSelectPropertiesParser::getAlias | ( |  | ) | `[private]`

Returns:
  OqlToken

Definition at line 117 of file OqlSelectPropertiesParser.class.php.

References OqlParser::checkIdentifier(), OqlParser::checkKeyword(), OqlParser::error(), and OqlParser::getTokenValue().

Referenced by getArgumentExpression().

Here is the call graph for this function:

OqlSelectPropertiesParser::getArgumentExpression | ( |  | ) | `[protected]`

Returns:
  OqlQueryParameter

Definition at line 67 of file OqlSelectPropertiesParser.class.php.

References OqlToken::AGGREGATE_FUNCTION, OqlParser::checkKeyword(), OqlParser::checkToken(), OqlParser::closeParentheses(), getAlias(), OqlParser::getArithmeticExpression(), OqlParser::getLogicExpression(), OqlParser::getTokenValue(), OqlParser::makeQueryExpression(), and OqlParser::openParentheses().

Here is the call graph for this function:

OqlSelectPropertiesParser::handleState | ( |  | ) | `[protected]`

Reimplemented from OqlParser.

Definition at line 49 of file OqlSelectPropertiesParser.class.php.

References OqlParser::getCommaSeparatedList().

Here is the call graph for this function:

OqlSelectPropertiesParser::makeOqlObject | ( |  | ) | `[protected]`

Returns:
  OqlSelectPropertiesClause

Reimplemented from OqlParser.

Definition at line 44 of file OqlSelectPropertiesParser.class.php.

References create().

Here is the call graph for this function:

## Member Data Documentation

OqlSelectPropertiesParser::$classMap`[static, private]`

Initial value:

     array(
                self::SUM_PROJECTION            => 'SumProjection',
                self::AVG_PROJECTION            => 'AverageNumberProjection',
                self::MIN_PROJECTION            => 'MinimalNumberProjection',
                self::MAX_PROJECTION            => 'MaximalNumberProjection',
                self::COUNT_PROJECTION          => 'RowCountProjection',
                self::DISTINCT_COUNT_PROJECTION => 'DistinctCountProjection',
                self::PROPERTY_PROJECTION       => 'PropertyProjection'
            )

Reimplemented from OqlParser.

Definition at line 23 of file OqlSelectPropertiesParser.class.php.

const OqlSelectPropertiesParser::AVG_PROJECTION = 'avg'

Definition at line 16 of file OqlSelectPropertiesParser.class.php.

const OqlSelectPropertiesParser::COUNT_PROJECTION = 'count'

Definition at line 19 of file OqlSelectPropertiesParser.class.php.

const OqlSelectPropertiesParser::DISTINCT_COUNT_PROJECTION = 1

Definition at line 20 of file OqlSelectPropertiesParser.class.php.

const OqlSelectPropertiesParser::MAX_PROJECTION = 'max'

Definition at line 18 of file OqlSelectPropertiesParser.class.php.

const OqlSelectPropertiesParser::MIN_PROJECTION = 'min'

Definition at line 17 of file OqlSelectPropertiesParser.class.php.

const OqlSelectPropertiesParser::PROPERTY_PROJECTION = 2

Definition at line 21 of file OqlSelectPropertiesParser.class.php.

const OqlSelectPropertiesParser::SUM_PROJECTION = 'sum'

Definition at line 15 of file OqlSelectPropertiesParser.class.php.

The documentation for this class was generated from the following file:

- main/OQL/Parsers/OqlSelectPropertiesParser.class.php